com.atid.lib.module.barcode.spc.param

## Enum SPCParamName

- java.lang.Object
- - java.lang.Enum<SPCParamName>
  - - com.atid.lib.module.barcode.spc.param.SPCParamName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SPCParamName>

      public enum SPCParamName
      extends java.lang.Enum<SPCParamName>

  SPC 2D barcode module parameters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AustralianPostInterpretation`
    `AztecAppend`
    `AztecCodeMessageLengthMax`
    `AztecCodeMessageLengthMin`
    `AztecCodePage`
    `ChinaPostMessageLengthMax`
    `ChinaPostMessageLengthMin`
    `CodabarCheckCharacter`
    `CodabarConcatenation`
    `CodabarMessageLengthMax`
    `CodabarMessageLengthMin`
    `CodabarStartStopCharacters`
    `CodablockAMessageLengthMax`
    `CodablockAMessageLengthMin`
    `CodablockFMessageLengthMax`
    `CodablockFMessageLengthMin`
    `Code11CheckDigitsRequired`
    `Code11MessageLengthMax`
    `Code11MessageLengthMin`
    `Code128Append`
    `Code128CodePage`
    `Code128MessageLengthMax`
    `Code128MessageLengthMin`
    `Code39Append`
    `Code39CheckCharacter`
    `Code39CodePage`
    `Code39FullASCII`
    `Code39MessageLengthMax`
    `Code39MessageLengthMin`
    `Code39StartStopCharacters`
    `Code93Append`
    `Code93CodePage`
    `Code93MessageLengthMax`
    `Code93MessageLengthMin`
    `ConvertUPCAtoEAN13`
    `CouponGS1DataBarOutput`
    `DataMatrixCodePage`
    `DataMatrixMessageLengthMax`
    `DataMatrixMessageLengthMin`
    `EANJAN13Addenda2Digit`
    `EANJAN13Addenda5Digit`
    `EANJAN13AddendaRequired`
    `EANJAN13AddendaSeparator`
    `EANJAN13CheckDigit`
    `EANJAN8Addenda2Digit`
    `EANJAN8Addenda5Digit`
    `EANJAN8AddendaRequired`
    `EANJAN8AddendaSeparator`
    `EANJAN8CheckDigit`
    `GS1128MessageLengthMax`
    `GS1128MessageLengthMin`
    `GS1CompositeCodeMessageLengthMax`
    `GS1CompositeCodeMessageLengthMin`
    `GS1CompositeCodes`
    `GS1DataBarExpandedMessageLengthMax`
    `GS1DataBarExpandedMessageLengthMin`
    `GS1Emulation`
    `HanXinCodeMessageLengthMax`
    `HanXinCodeMessageLengthMin`
    `I2of5CheckDigit`
    `I2of5MessageLengthMax`
    `I2of5MessageLengthMin`
    `ISBNTranslate`
    `ISBT128Concatenation`
    `KoreaPostCheckDigit`
    `KoreaPostMessageLengthMax`
    `KoreaPostMessageLengthMin`
    `Matrix2of5MessageLengthMax`
    `Matrix2of5MessageLengthMin`
    `MaxiCodeMessageLengthMax`
    `MaxiCodeMessageLengthMin`
    `MicroPDF417MessageLengthMax`
    `MicroPDF417MessageLengthMin`
    `MSICheckCharacter`
    `MSIMessageLengthMax`
    `MSIMessageLengthMin`
    `NEC2of5CheckDigit`
    `NEC2of5MessageLengthMax`
    `NEC2of5MessageLengthMin`
    `PDF417MessageLengthMax`
    `PDF417MessageLengthMin`
    `PlanetCodeCheckDigit`
    `PostalCodes2D`
    `PostnetCheckDigit`
    `QRCodeAppend`
    `QRCodeMessageLengthMax`
    `QRCodeMessageLengthMin`
    `QRCodePage`
    `Straight2of5IATAMessageLengthMax`
    `Straight2of5IATAMessageLengthMin`
    `Straight2of5IndustrialMessageLengthMax`
    `Straight2of5IndustrialMessageLengthMin`
    `Unknown`
    `UPCAAddenda2Digit`
    `UPCAAddenda5Digit`
    `UPCAAddendaRequired`
    `UPCAAddendaSeparator`
    `UPCACheckDigit`
    `UPCAEAN13ExtendedCouponCode`
    `UPCANumberSystem`
    `UPCE0Addenda2Digit`
    `UPCE0Addenda5Digit`
    `UPCE0AddendaRequired`
    `UPCE0AddendaSeparator`
    `UPCE0CheckDigit`
    `UPCE0Expand`
    `UPCE0LeadingZero`
    `UPCEANVersion`
    `VideoReverse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMMAND_LENGTH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommand()`
    `java.lang.String` | `toString()`
    `static SPCParamName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SPCParamName` | `valueOf(java.lang.String command, int offset)`
    `static SPCParamName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final SPCParamName Unknown

    - #### CodabarStartStopCharacters

          public static final SPCParamName CodabarStartStopCharacters

    - #### CodabarCheckCharacter

          public static final SPCParamName CodabarCheckCharacter

    - #### CodabarConcatenation

          public static final SPCParamName CodabarConcatenation

    - #### CodabarMessageLengthMin

          public static final SPCParamName CodabarMessageLengthMin

    - #### CodabarMessageLengthMax

          public static final SPCParamName CodabarMessageLengthMax

    - #### Code39StartStopCharacters

          public static final SPCParamName Code39StartStopCharacters

    - #### Code39CheckCharacter

          public static final SPCParamName Code39CheckCharacter

    - #### Code39MessageLengthMin

          public static final SPCParamName Code39MessageLengthMin

    - #### Code39MessageLengthMax

          public static final SPCParamName Code39MessageLengthMax

    - #### Code39Append

          public static final SPCParamName Code39Append

    - #### Code39FullASCII

          public static final SPCParamName Code39FullASCII

    - #### Code39CodePage

          public static final SPCParamName Code39CodePage

    - #### I2of5CheckDigit

          public static final SPCParamName I2of5CheckDigit

    - #### I2of5MessageLengthMin

          public static final SPCParamName I2of5MessageLengthMin

    - #### I2of5MessageLengthMax

          public static final SPCParamName I2of5MessageLengthMax

    - #### NEC2of5CheckDigit

          public static final SPCParamName NEC2of5CheckDigit

    - #### NEC2of5MessageLengthMin

          public static final SPCParamName NEC2of5MessageLengthMin

    - #### NEC2of5MessageLengthMax

          public static final SPCParamName NEC2of5MessageLengthMax

    - #### Code93MessageLengthMin

          public static final SPCParamName Code93MessageLengthMin

    - #### Code93MessageLengthMax

          public static final SPCParamName Code93MessageLengthMax

    - #### Code93Append

          public static final SPCParamName Code93Append

    - #### Code93CodePage

          public static final SPCParamName Code93CodePage

    - #### Straight2of5IndustrialMessageLengthMin

          public static final SPCParamName Straight2of5IndustrialMessageLengthMin

    - #### Straight2of5IndustrialMessageLengthMax

          public static final SPCParamName Straight2of5IndustrialMessageLengthMax

    - #### Straight2of5IATAMessageLengthMin

          public static final SPCParamName Straight2of5IATAMessageLengthMin

    - #### Straight2of5IATAMessageLengthMax

          public static final SPCParamName Straight2of5IATAMessageLengthMax

    - #### Matrix2of5MessageLengthMin

          public static final SPCParamName Matrix2of5MessageLengthMin

    - #### Matrix2of5MessageLengthMax

          public static final SPCParamName Matrix2of5MessageLengthMax

    - #### Code11CheckDigitsRequired

          public static final SPCParamName Code11CheckDigitsRequired

    - #### Code11MessageLengthMin

          public static final SPCParamName Code11MessageLengthMin

    - #### Code11MessageLengthMax

          public static final SPCParamName Code11MessageLengthMax

    - #### ISBT128Concatenation

          public static final SPCParamName ISBT128Concatenation

    - #### Code128MessageLengthMin

          public static final SPCParamName Code128MessageLengthMin

    - #### Code128MessageLengthMax

          public static final SPCParamName Code128MessageLengthMax

    - #### Code128Append

          public static final SPCParamName Code128Append

    - #### Code128CodePage

          public static final SPCParamName Code128CodePage

    - #### GS1128MessageLengthMin

          public static final SPCParamName GS1128MessageLengthMin

    - #### GS1128MessageLengthMax

          public static final SPCParamName GS1128MessageLengthMax

    - #### UPCACheckDigit

          public static final SPCParamName UPCACheckDigit

    - #### UPCANumberSystem

          public static final SPCParamName UPCANumberSystem

    - #### UPCAAddenda2Digit

          public static final SPCParamName UPCAAddenda2Digit

    - #### UPCAAddenda5Digit

          public static final SPCParamName UPCAAddenda5Digit

    - #### UPCAAddendaRequired

          public static final SPCParamName UPCAAddendaRequired

    - #### UPCAAddendaSeparator

          public static final SPCParamName UPCAAddendaSeparator

    - #### UPCAEAN13ExtendedCouponCode

          public static final SPCParamName UPCAEAN13ExtendedCouponCode

    - #### CouponGS1DataBarOutput

          public static final SPCParamName CouponGS1DataBarOutput

    - #### UPCE0Expand

          public static final SPCParamName UPCE0Expand

    - #### UPCE0AddendaRequired

          public static final SPCParamName UPCE0AddendaRequired

    - #### UPCE0AddendaSeparator

          public static final SPCParamName UPCE0AddendaSeparator

    - #### UPCE0CheckDigit

          public static final SPCParamName UPCE0CheckDigit

    - #### UPCE0LeadingZero

          public static final SPCParamName UPCE0LeadingZero

    - #### UPCE0Addenda2Digit

          public static final SPCParamName UPCE0Addenda2Digit

    - #### UPCE0Addenda5Digit

          public static final SPCParamName UPCE0Addenda5Digit

    - #### ConvertUPCAtoEAN13

          public static final SPCParamName ConvertUPCAtoEAN13

    - #### EANJAN13CheckDigit

          public static final SPCParamName EANJAN13CheckDigit

    - #### EANJAN13Addenda2Digit

          public static final SPCParamName EANJAN13Addenda2Digit

    - #### EANJAN13Addenda5Digit

          public static final SPCParamName EANJAN13Addenda5Digit

    - #### EANJAN13AddendaRequired

          public static final SPCParamName EANJAN13AddendaRequired

    - #### EANJAN13AddendaSeparator

          public static final SPCParamName EANJAN13AddendaSeparator

    - #### ISBNTranslate

          public static final SPCParamName ISBNTranslate

    - #### EANJAN8CheckDigit

          public static final SPCParamName EANJAN8CheckDigit

    - #### EANJAN8Addenda2Digit

          public static final SPCParamName EANJAN8Addenda2Digit

    - #### EANJAN8Addenda5Digit

          public static final SPCParamName EANJAN8Addenda5Digit

    - #### EANJAN8AddendaRequired

          public static final SPCParamName EANJAN8AddendaRequired

    - #### EANJAN8AddendaSeparator

          public static final SPCParamName EANJAN8AddendaSeparator

    - #### MSICheckCharacter

          public static final SPCParamName MSICheckCharacter

    - #### MSIMessageLengthMin

          public static final SPCParamName MSIMessageLengthMin

    - #### MSIMessageLengthMax

          public static final SPCParamName MSIMessageLengthMax

    - #### GS1DataBarExpandedMessageLengthMin

          public static final SPCParamName GS1DataBarExpandedMessageLengthMin

    - #### GS1DataBarExpandedMessageLengthMax

          public static final SPCParamName GS1DataBarExpandedMessageLengthMax

    - #### CodablockAMessageLengthMin

          public static final SPCParamName CodablockAMessageLengthMin

    - #### CodablockAMessageLengthMax

          public static final SPCParamName CodablockAMessageLengthMax

    - #### CodablockFMessageLengthMin

          public static final SPCParamName CodablockFMessageLengthMin

    - #### CodablockFMessageLengthMax

          public static final SPCParamName CodablockFMessageLengthMax

    - #### PDF417MessageLengthMin

          public static final SPCParamName PDF417MessageLengthMin

    - #### PDF417MessageLengthMax

          public static final SPCParamName PDF417MessageLengthMax

    - #### MicroPDF417MessageLengthMin

          public static final SPCParamName MicroPDF417MessageLengthMin

    - #### MicroPDF417MessageLengthMax

          public static final SPCParamName MicroPDF417MessageLengthMax

    - #### GS1CompositeCodes

          public static final SPCParamName GS1CompositeCodes

    - #### UPCEANVersion

          public static final SPCParamName UPCEANVersion

    - #### GS1CompositeCodeMessageLengthMin

          public static final SPCParamName GS1CompositeCodeMessageLengthMin

    - #### GS1CompositeCodeMessageLengthMax

          public static final SPCParamName GS1CompositeCodeMessageLengthMax

    - #### GS1Emulation

          public static final SPCParamName GS1Emulation

    - #### QRCodeMessageLengthMin

          public static final SPCParamName QRCodeMessageLengthMin

    - #### QRCodeMessageLengthMax

          public static final SPCParamName QRCodeMessageLengthMax

    - #### QRCodeAppend

          public static final SPCParamName QRCodeAppend

    - #### QRCodePage

          public static final SPCParamName QRCodePage

    - #### DataMatrixMessageLengthMin

          public static final SPCParamName DataMatrixMessageLengthMin

    - #### DataMatrixMessageLengthMax

          public static final SPCParamName DataMatrixMessageLengthMax

    - #### DataMatrixCodePage

          public static final SPCParamName DataMatrixCodePage

    - #### MaxiCodeMessageLengthMin

          public static final SPCParamName MaxiCodeMessageLengthMin

    - #### MaxiCodeMessageLengthMax

          public static final SPCParamName MaxiCodeMessageLengthMax

    - #### AztecCodeMessageLengthMin

          public static final SPCParamName AztecCodeMessageLengthMin

    - #### AztecCodeMessageLengthMax

          public static final SPCParamName AztecCodeMessageLengthMax

    - #### AztecAppend

          public static final SPCParamName AztecAppend

    - #### AztecCodePage

          public static final SPCParamName AztecCodePage

    - #### HanXinCodeMessageLengthMin

          public static final SPCParamName HanXinCodeMessageLengthMin

    - #### HanXinCodeMessageLengthMax

          public static final SPCParamName HanXinCodeMessageLengthMax

    - #### PostalCodes2D

          public static final SPCParamName PostalCodes2D

    - #### PlanetCodeCheckDigit

          public static final SPCParamName PlanetCodeCheckDigit

    - #### PostnetCheckDigit

          public static final SPCParamName PostnetCheckDigit

    - #### AustralianPostInterpretation

          public static final SPCParamName AustralianPostInterpretation

    - #### ChinaPostMessageLengthMin

          public static final SPCParamName ChinaPostMessageLengthMin

    - #### ChinaPostMessageLengthMax

          public static final SPCParamName ChinaPostMessageLengthMax

    - #### KoreaPostMessageLengthMin

          public static final SPCParamName KoreaPostMessageLengthMin

    - #### KoreaPostMessageLengthMax

          public static final SPCParamName KoreaPostMessageLengthMax

    - #### KoreaPostCheckDigit

          public static final SPCParamName KoreaPostCheckDigit

    - #### VideoReverse

          public static final SPCParamName VideoReverse

  - ### Field Detail

    - #### COMMAND_LENGTH

          public static final int COMMAND_LENGTH

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static SPCParamName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SPCParamName c : SPCParamName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SPCParamName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SPCParamName>`

    - #### getCommand

          public java.lang.String getCommand()

    - #### valueOf

          public static SPCParamName valueOf(java.lang.String command,
                                             int offset)
                                      throws ATException

      Throws:
        `ATException`